#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "EnvironmentFactory.generated.h"

class UEnvironmentData;

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API UEnvironmentFactory : public UObject
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UEnvironmentData* _data;

public:
	UEnvironmentFactory();
};

FORCEINLINE uint32 GetTypeHash(const UEnvironmentFactory) { return 0; }
